# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "leadforge"
version = "0.1.1"
authors = ["Iago Bozza <iago@iagobozza.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Async CLI tool for fetching and filtering Hacker News job postings with concurrent HTTP requests."
homepage = "https://github.com/writeonlycode/leadforge"
documentation = "https://docs.rs/leadforge"
readme = "README.md"
keywords = [
    "cli",
    "async",
    "scraper",
    "hacker-news",
    "lead-generation",
]
categories = ["command-line-utilities"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/writeonlycode/leadforge"

[lib]
name = "leadforge"
path = "src/lib.rs"

[[bin]]
name = "leadforge"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.clap]
version = "4.6.0"
features = ["derive"]

[dependencies.futures]
version = "0.3.32"

[dependencies.rand]
version = "0.10.0"

[dependencies.reqwest]
version = "0.13.2"
features = ["json"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.50.0"
features = ["full"]
